Subject: Re: bug#56416: 29.0.50; cl-loop cl-psetq problem

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 06 Jul 2022 13:41:40 +0200

Sean Whitton <[email-masked]> writes:

> Evaluating
>
> (cl-loop with list = '(1 2 3 4)
>
> 	 for l in list
> 	 for x = l and y = l
>
> 	 collect x)
>
> yields (1 1 2 3) but it should yield (1 2 3 4).

It's the `and' that's triggering this bug, I guess?

I seem to vaguely recall Mattias doing something about these corner
cases -- I may totally misremember, but I've added him to the CCs
anyway; perhaps he has a comment.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no